Skip to content

Provider Helpdesks

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/provider-helpdesks/ List Provider Helpdesks
GET /api/provider-helpdesks/{uuid}/ Retrieve
POST /api/provider-helpdesks/ Create
PUT /api/provider-helpdesks/{uuid}/ Update
PATCH /api/provider-helpdesks/{uuid}/ Partial Update
DELETE /api/provider-helpdesks/{uuid}/ Delete
Other Actions
POST /api/provider-helpdesks/{uuid}/validate/ Validate provider helpdesk backend connectivity

Core CRUD

List Provider Helpdesks

1
2
3
4
http \
  GET \
  https://api.example.com/api/provider-helpdesks/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.provider_helpdesks import provider_helpdesks_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = provider_helpdesks_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: provider_helpdesks_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { providerHelpdesksList } from 'waldur-js-client';

try {
  const response = await providerHelpdesksList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
backend_type string
is_active boolean
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
service_provider_uuid string (uuid)

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
service_provider string (uuid)
service_provider_name string
backend_type string
Enum: basic, email, atlassian, zammad, smax
settings object (free-form) Backend-specific configuration.
is_active boolean
webhook_secret string
notification_email string (email) Primary email for notifications.
notify_on_new_ticket boolean
notify_on_comment boolean
notify_on_escalation boolean
notify_on_sla_warning boolean
health_status string
last_health_check string (date-time)
failed_routing_count integer
created string (date-time)
modified string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/provider-helpdesks/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.provider_helpdesks import provider_helpdesks_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = provider_helpdesks_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: provider_helpdesks_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerHelpdesksRetrieve } from 'waldur-js-client';

try {
  const response = await providerHelpdesksRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
service_provider string (uuid)
service_provider_name string
backend_type string
Enum: basic, email, atlassian, zammad, smax
settings object (free-form) Backend-specific configuration.
is_active boolean
webhook_secret string
notification_email string (email) Primary email for notifications.
notify_on_new_ticket boolean
notify_on_comment boolean
notify_on_escalation boolean
notify_on_sla_warning boolean
health_status string
last_health_check string (date-time)
failed_routing_count integer
created string (date-time)
modified string (date-time)

Create

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/provider-helpdesks/ \
  Authorization:"Token YOUR_API_TOKEN" \
  service_provider="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.provider_helpdesk_request import ProviderHelpdeskRequest # (1)
from waldur_api_client.api.provider_helpdesks import provider_helpdesks_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProviderHelpdeskRequest(
    service_provider="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = provider_helpdesks_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProviderHelpdeskRequest
  2. API Source: provider_helpdesks_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerHelpdesksCreate } from 'waldur-js-client';

try {
  const response = await providerHelpdesksCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "service_provider": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
service_provider string (uuid)
backend_type string
Enum: basic, email, atlassian, zammad, smax
settings object (free-form) Backend-specific configuration.
is_active boolean
webhook_secret string
notification_email string (email) Primary email for notifications.
notify_on_new_ticket boolean
notify_on_comment boolean
notify_on_escalation boolean
notify_on_sla_warning boolean

201 -

Field Type Description
url string (uri)
uuid string (uuid)
service_provider string (uuid)
service_provider_name string
backend_type string
Enum: basic, email, atlassian, zammad, smax
settings object (free-form) Backend-specific configuration.
is_active boolean
webhook_secret string
notification_email string (email) Primary email for notifications.
notify_on_new_ticket boolean
notify_on_comment boolean
notify_on_escalation boolean
notify_on_sla_warning boolean
health_status string
last_health_check string (date-time)
failed_routing_count integer
created string (date-time)
modified string (date-time)

Update

1
2
3
4
5
http \
  PUT \
  https://api.example.com/api/provider-helpdesks/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  service_provider="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.provider_helpdesk_request import ProviderHelpdeskRequest # (1)
from waldur_api_client.api.provider_helpdesks import provider_helpdesks_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProviderHelpdeskRequest(
    service_provider="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = provider_helpdesks_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProviderHelpdeskRequest
  2. API Source: provider_helpdesks_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { providerHelpdesksUpdate } from 'waldur-js-client';

try {
  const response = await providerHelpdesksUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "service_provider": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
service_provider string (uuid)
backend_type string
Enum: basic, email, atlassian, zammad, smax
settings object (free-form) Backend-specific configuration.
is_active boolean
webhook_secret string
notification_email string (email) Primary email for notifications.
notify_on_new_ticket boolean
notify_on_comment boolean
notify_on_escalation boolean
notify_on_sla_warning boolean

200 -

Field Type Description
url string (uri)
uuid string (uuid)
service_provider string (uuid)
service_provider_name string
backend_type string
Enum: basic, email, atlassian, zammad, smax
settings object (free-form) Backend-specific configuration.
is_active boolean
webhook_secret string
notification_email string (email) Primary email for notifications.
notify_on_new_ticket boolean
notify_on_comment boolean
notify_on_escalation boolean
notify_on_sla_warning boolean
health_status string
last_health_check string (date-time)
failed_routing_count integer
created string (date-time)
modified string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/provider-helpdesks/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_provider_helpdesk_request import PatchedProviderHelpdeskRequest # (1)
from waldur_api_client.api.provider_helpdesks import provider_helpdesks_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedProviderHelpdeskRequest()
response = provider_helpdesks_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedProviderHelpdeskRequest
  2. API Source: provider_helpdesks_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerHelpdesksPartialUpdate } from 'waldur-js-client';

try {
  const response = await providerHelpdesksPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
service_provider string (uuid)
backend_type string
Enum: basic, email, atlassian, zammad, smax
settings object (free-form) Backend-specific configuration.
is_active boolean
webhook_secret string
notification_email string (email) Primary email for notifications.
notify_on_new_ticket boolean
notify_on_comment boolean
notify_on_escalation boolean
notify_on_sla_warning boolean

200 -

Field Type Description
url string (uri)
uuid string (uuid)
service_provider string (uuid)
service_provider_name string
backend_type string
Enum: basic, email, atlassian, zammad, smax
settings object (free-form) Backend-specific configuration.
is_active boolean
webhook_secret string
notification_email string (email) Primary email for notifications.
notify_on_new_ticket boolean
notify_on_comment boolean
notify_on_escalation boolean
notify_on_sla_warning boolean
health_status string
last_health_check string (date-time)
failed_routing_count integer
created string (date-time)
modified string (date-time)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/provider-helpdesks/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.provider_helpdesks import provider_helpdesks_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = provider_helpdesks_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: provider_helpdesks_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerHelpdesksDestroy } from 'waldur-js-client';

try {
  const response = await providerHelpdesksDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Other Actions

Validate provider helpdesk backend connectivity

1
2
3
4
http \
  POST \
  https://api.example.com/api/provider-helpdesks/a1b2c3d4-e5f6-7890-abcd-ef1234567890/validate/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.provider_helpdesks import provider_helpdesks_validate # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = provider_helpdesks_validate.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: provider_helpdesks_validate
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerHelpdesksValidate } from 'waldur-js-client';

try {
  const response = await providerHelpdesksValidate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 - No response body